<!-- MULTIPLE GROUPS -->
<ng-container *ngIf="group.multiple">
  <h3 [attr.data-scroll]="group.id">{{ group.label }}</h3>

  <!-- NESTED FORM -->
  <div class="nested-form" *ngIf="!!group.groups?.length">
    <ng-container *ngIf="!!nestedFormRenderer">
      <ng-container *ngTemplateOutlet="nestedFormRenderer; context:{form: form, group: group, groupsControl: groupsControl, validator: validator}"></ng-container>
    </ng-container>
  </div>

  <!-- CONTROL GROUP -->
  <ng-container *ngIf="!!group.questions?.length">
    <ng-container *ngFor="let groupControl of arrayAnswersControl.controls; let i = index">
      <div class="card mb-3">
        <div class="card-body">
          <h3 *ngIf="!!group.multiple_label">
            {{ group.multiple_label }} {{ i + 1 }}
          </h3>

          <bail-control-group-renderer
            [renderedGroup]="group"
            [group]="groupsControl"
            [validator]="validator"
            [form]="form"
            [index]="i"
            [hideHeading]="true"
          ></bail-control-group-renderer>

          <div class="text-center">
            <button
              type="button"
              class="btn btn-sm btn-danger remove-group"
              [swal]="{title: 'Are you sure?', text: 'Are you sure you want to remove that group?'}"
              (confirm)="removeGroup(i)"
            >
              <span class="fa fa-xmark"></span> {{ group.remove_button_label || 'Remove' }}
            </button>
          </div>
        </div>
      </div>
    </ng-container>
  </ng-container>

  <div class="text-center">
    <button
      type="button"
      class="btn btn-sm btn-primary add-group"
      (click)="addGroup()"
    >
      <span class="fa fa-plus"></span> {{ group.add_button_label || 'Add' }}
    </button>
  </div>
</ng-container>

<!-- NON-MULTIPLE GROUPS -->
<ng-container *ngIf="!group.multiple">

  <!-- NESTED FORM -->
  <div class="nested-form" *ngIf="!!group.groups?.length">
    <ng-container *ngIf="!!nestedFormRenderer">
      <ng-container *ngTemplateOutlet="nestedFormRenderer; context:{form: form, group: group, groupsControl: groupsControl, validator: validator}"></ng-container>
    </ng-container>
  </div>

  <!-- CONTROL GROUP -->
  <bail-control-group-renderer
    [renderedGroup]="group"
    [group]="groupsControl"
    [validator]="validator"
    [form]="form"
    *ngIf="!!group.questions?.length"
  ></bail-control-group-renderer>

</ng-container>
